Subject: [TR] Time to start clearing out excess parts

From: Brad Kahler <[email-masked]>
Date: Fri, 8 Nov 2024 16:41:47 -0500

After 39 years of collecting Triumphs and Triumph parts I'm now down
to just one TR6 and it's almost complete.  Some day I will need to
move from where I'm currently living which means it's time to start
clearing out the excess parts that have been collected over the years.

Here's a tentative list of what I can think of off the top of my head.
I have more parts that I'll list as I dig them out of their resting
places.  Pictures and details available upon request.  Details
mentioned below may be incorrect, I'm getting old and forgetful :)

TR4 left & right rear fenders (acid dipped, primed, small rust spots
repaired, work done by Macy's Garage)
TR4 short bubble bonnet (acid dipped, primed, rear corners stiffened,
work done by Macy's garage)
TR6 right rear fender (original condition, I don't believe there is
any rust and its straight)
TR6 bonnet - needs minor body work - no rust
TR6 seat tracks (from 72)
Windscreen frame (maybe 2) (not sure what year/model)
Stromberg carburetors (two are rebuilt ready to install)
4 original steel wheels - great shape, sandblasted and painted
TR6 plastic tunnel cover - 1-piece
TR6 original tunnel cover - fairly decent shape but not perfect
TR6 original starter - unknown condition
TR6 original alternator - unknown condition
Various TR4 and TR6 transmissions - cores
TR6 luggage rack
Mayflower rear window assembly
Mayflower rear side window assemblies
Mayflower radiator (2) (one with cap) will likely need to be sent to
radiator shop
TR4 wiper motor - made up of a collection of NOS parts not yet assembled
TR4 front bumper support arms - excellent condition ready to install
TR4 rear anti-roll bar
Gas tank in good condition - most likely TR4 but will need to verify
Pair of later TR6 seats that would make good cores
Spitfire 4 MK1 radio plate
TR4 doors - not sure what all I have or condition
Bumper - don't remember if it's Mayflower or Roadster - will need to verify
TR4 radiator - I believe it needs to be re-cored - might be long neck-
will need to verify

I also have various NOS lucas parts that I will be sorting through this winter.

 Brad
72 TR6
Richmond, KY

<http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
Virus-free.www.avg.com
<http://www.avg.com/email-signature?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
<#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive